<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="MODULES-HEAD-EDIT">
		<script type='text/javascript' language='javascript' src='{$baseURL}/modules/{$SB_modules}/js/blogger.js'></script>
		<script type='text/javascript' language='javascript' src='{$baseURL}/js/validator.js'></script>
		<style type="text/css">@import url(<xsl:value-of select="$baseURL" />/modules/<xsl:value-of select="$SB_modules" />/style.css);</style>
	</xsl:template>
	<xsl:template name="MODULES-FIRST-TAG-EDIT"></xsl:template>
	<xsl:template name="MODULES-BODY-EDIT">
		<xsl:apply-templates select="//Blogger" />
	</xsl:template>
	<xsl:template match="Blogger">
		<xsl:apply-templates mode="blogger" />
	</xsl:template>
	<xsl:template match="Edit" mode="blogger">
		<table cellpadding="0" cellspacing="10" width="99%">
			<tr>
				<td>
					<xsl:apply-templates select="GUI-TABPANEL" />
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="Apply" mode="blogger">
		<xsl:apply-templates select="GUI-FORM" />
	</xsl:template>
	<xsl:template match="BloggerPage">
		<div id="modulediv" name="modulediv" class="BloggerPageDiv">
			<xsl:apply-templates select="GUI-FORM" />
		</div>
		<script language="javascript">
			<xsl:text>var iframedoc=document.getElementById('modulediv');ResizeBlogger(iframedoc);</xsl:text>
		</script>
	</xsl:template>
	<xsl:template match="BloggerPreview">
	<link rel="stylesheet" type="text/css">
		<xsl:attribute name="href"><xsl:value-of select="$baseURL"/><xsl:apply-templates select="/*/CONTENT-AREA/BASEURL"/>css/styles.css</xsl:attribute>	
	</link>
		<div id="divPreview" name="divPreview" />
	</xsl:template>	
	<xsl:template match="PreviewStart" mode="blogger">
		<script type="text/javascript" language="javascript">
			<xsl:text>doPreviewModuleBuild('</xsl:text><xsl:apply-templates select="CONTA" />','<xsl:apply-templates select="//CONTV" />', __base__URL+'<xsl:apply-templates select="$baseURL" /><xsl:text>');</xsl:text>
		</script>
	</xsl:template>
	<xsl:template match="BloggerJava" mode="blogger">
		<script language="javascript">
			<xsl:value-of select="." />
		</script>
	</xsl:template>
</xsl:stylesheet>