<?php

if(!function_exists('dequoteitMQ')):
function dequoteitMQ(&$a)
{
 if (is_array($a))
 {
   foreach ($a as $k => $v)
   {
     if (is_array($v))
       dequoteitMQ($a[$k]);
     else
	{
       $a[$k]=stripslashes($v);
	}
   }
 }

}

if(get_magic_quotes_gpc())
{
 dequoteitMQ($_POST);
 dequoteitMQ($_GET);
 dequoteitMQ($_REQUEST);
}
endif;

if(!isset($GLOBALS['_wizardModeFlag']))
{

	require_once('vars.php');

	define('MOD_BLOGGER_ID_NEW_POST',0);
	define('MOD_BLOGGER_ID_INVALID_POST',-2);
	define('MOD_BLOGGER_ID_LAST_POST',-1);

	define('MOD_DB_PATH','../data/');
	define('MOD_BLOGGER_DB_PATH',MOD_DB_PATH.BLOG_ID.'/');
	define('MOD_BLOGGER_DB','db');
	define('MOD_BLOGGER_DB_BODIES','bodies');
	define('MOD_BLOGGER_DB_POSTS','blog'); 
	define('MOD_BLOGGER_DB_COMMENTS','comments');
	/* format (binary):
		[post id (unsigned long, 32bit, offset 0)]
		[comment id (unsigned long, 32bit, offset 4)]
		record length: 8 */

	define('MOD_BLOGGER_FIELD_AUTHOR_LENGTH',61); 
	define('MOD_BLOGGER_FIELD_TITLE_LENGTH',61); 

	define('MOD_BLOGGER_REC_POST_LENGTH',4+1+1+4+MOD_BLOGGER_FIELD_AUTHOR_LENGTH+MOD_BLOGGER_FIELD_TITLE_LENGTH); 
	define('MOD_BLOGGER_REC_COMMENT_LENGTH',4+4);

	define('MOD_BLOGGER_ERRORLOG','blogger.log');
	/* format (text):
		[event unix timestamp]
		[space]
		[class name]
		[space]
		[message]
		[\n] */
		
}


define('MOD_BLOGGER_DB_OPTIONS','db.ini');

if(!isset($GLOBALS['_wizardModeFlag']))
{

	if(!function_exists('file_get_contents')):
	function file_get_contents($fname)
	{
		$f=@fopen($fname,'rb');
		$res=@fread($f,filesize($fname));
   		@fclose($f);
		return $res;
	}
	endif;

	if(!function_exists('CheckString')):
	function CheckString($str)
	{
		//$tmp=stripslashes($str);
		$tmp=str_replace('&','&amp;',$str);
		$tmp=str_replace('>','&gt;',$tmp);
		$tmp=str_replace('<','&lt;',$tmp);
		$tmp=str_replace('"','&quot;',$tmp);
		$tmp=str_replace("'",'&#39;',$tmp);
		$tmp=str_replace('$','&#38;',$tmp);
		$tmp=str_replace('%','&#37;',$tmp);
		$tmp=str_replace("\n",'<br/>',$tmp);
		//$tmp=addslashes($tmp);
		return $tmp;
	}
	endif;
	
	function UncheckStringHtml($str)
	{
		return str_replace('<br/>',"\n",$str);
	}
	
}


class DBOptions
{
	
	var	$oSource_=false
	,	$opts_=array()
	,	$path_;
	
	function DBOptions($path=MOD_BLOGGER_DB_OPTIONS)
	{
		if(file_exists($path))
			$this->Open($path);
	}
	
	// public, const
	function IsValid()
	{
		return $this->oSource_;
	}
	
	// private, static
	function GetPath($path)
	{
		return empty($path)
			?	MOD_BLOGGER_DB_OPTIONS
			:	"$path/".MOD_BLOGGER_DB_OPTIONS;
	}
	
	// public
	function ChangePath($dir)
	{
		$path=$this->GetPath($dir);
		return file_exists($path)?$this->Open($path):false;
	}
	
	
	// private
	function Open($path=MOD_BLOGGER_DB_OPTIONS)
	{
		$s=file($path);
		
		if(sizeof($s)>0)
		{
			$this->path_=$path;
			$n='';
			foreach($s as $line)
			{
				$line=trim($line);
				if(preg_match('/^\[(\w+)\]$/',$line,$matches))
				{
					$n=$matches[1];
					$this->opts_[$n]=array();
				}
				elseif(!empty($n)&&preg_match('/^(\w+)\s*=\s*(\w+)$/',$line,$matches))
					$this->opts_[$n][$matches[1]]=$matches[2];
			}
			$this->oSource_=isset($this->opts_['common']['source']);
		}
		else
			$this->oSource_=false;
	}
	
	function Save($path='')
	{
		if(empty($path))
			$path=$this->path_;
		if($f=fopen($path,'w'))
		{
			$val='';
			foreach($this->opts_ as $sec=>$ks)
			{
				$val.="[$sec]\n";
				if(is_array($ks))
					foreach($ks as $n=>$v)
						$val.="$n=$v\n";
			}
			fwrite($f,$val);
			fclose($f);
		}
	}
	
	function SetOption($name,$val)
	{
		$this->opts_[$this->opts_['common']['source']][$name]=$val;
	}
	function SetDBSourceModuleId($val)
	{
		$this->opts_['common']['source']=$val;
	}
	
	// public
	function GetDBSourceModuleId()
	{
		return $this->opts_['common']['source'];
	}
	
	// public
	function GetDBSourceModule()
	{
		return $this->opts_['common']['source'].'API.php';
	}
	
	// public
	function GetOption($name)
	{
		return isset($this->opts_[$this->opts_['common']['source']][$name])
			?	$this->opts_[$this->opts_['common']['source']][$name]
			:	'';
	}

		
}

if(!isset($GLOBALS['_wizardModeFlag']))
	$GLOBALS['_dbOptions']=new  DBOptions;

class BlogUser
{
	
	var     $nick_
	,       $name_
    ,       $lastname_
    ,       $mail_
    ,       $url_
    ,       $auth_
    ,		$blogName_
    ,		$pathUser_
    ,		$pathPass_
    ,		$pathOptions_;
	
	function BlogUser($login='',$password='',$path='')
	{
		
		@session_start();
		
		$this->SetPath('');
		
		$this->Authorization($login,$password,$path);
		
	}
	
	// private, static
	function GetPath4Pass($path)
	{
		return empty($path)
			?	MOD_BLOGGER_PASSWORD_STORAGE
			:	"$path/".MOD_BLOGGER_PASSWORD_STORAGE;
	}
	// private, static
	function GetPath4Options($path)
	{
		return empty($path)
			?	MOD_BLOGGER_USER_STORAGE
			:	"$path/".MOD_BLOGGER_USER_STORAGE;
	}
	// public, const
	function GetPathUser()
	{
		return $this->pathUser_;
	}
	// public, const
	function GetPathPass()
	{
		return $this->pathPass_;
	}
	// public, const
	function GetPathOptions()
	{
		return $this->pathOptions_;
	}
	
	// public
	function SetPath($path)
	{
		$this->pathUser_=$path;
		$this->pathPass_=$this->GetPath4Pass($this->pathUser_);
		$this->pathOptions_=$this->GetPath4Options($this->pathUser_);
		if(!empty($this->pathUser_))
			$this->pathUser_.='/';
	}
	
	function SaveNewPassword($newPass,$path='')
	{
		
		$this->SetPath($path);
		
		if(!$f=fopen($this->GetPath(),'w'))
			return false;
		fwrite($f,crypt($newPass));
		fclose($f);
		return true;
	}
	
	function ChangePass($oldUserPass,$newPass,$login='',$path='')
	{
		return !$this->Authorization(empty($login)?$this->nick_:$login,$oldUserPass)
                        ?	(file_exists($this->GetPath())
                        		?	false
                        		:	$this->SaveNewPassword($newPass))
                        :	$this->SaveNewPassword($newPass);

	}	
	
	// public
	function Authorization($login,$userPass,$path='')
	{
		
		if(!empty($path))
			$this->SetPath($path);
		
		$this->auth_=false;
		
		$i=@file($this->GetPathOptions());
		
		if(sizeof($i)>=5)
		{
			$this->nick_=trim($i[0]);
			$i[1]=trim($i[1]);
			if(strpos($i[1],' ')!==false)
            	list($this->name_,$this->lastname_)=explode(' ',$i[1]);
            else
            	$this->name_=$this->lastname_='';
            $this->mail_=trim($i[2]);
            $this->url_=trim($i[3]);
            $this->blogName_=trim($i[4]);
		}
		else
			return false;
			
		if($login!=$this->nick_)
			return false;
       	
		if(empty($login)||empty($userPass))
			return $this->auth_=false;
			
		$pass=file_get_contents($this->GetPathPass());

		if(empty($pass))
			return false;
			
		 if($this->auth_=(crypt($userPass,$pass)==$pass))
		 {
			$_SESSION['auth_'.BLOG_ID]=true;
			return true;
		 }
		 else
		 	return false;
		
	}
	
	// public, const
	function IsAuthorized()
	{
		return (isset($_SESSION['auth_'.BLOG_ID])&&$_SESSION['auth_'.BLOG_ID]==true)||$this->auth_;
	}
	
	// public
	function GetNickname()
	{
		return $this->nick_;
	}

	function GetId()
	{
		return '0';
	}

	function GetFirstname()
	{	
		return $this->name_;
	}
	function GetLastname()
	{
		return $this->lastname_;
	}
	function GetEmail()
	{
		return $this->mail_;
	}
	function GetUrl()
	{
		return $this->url_;
	}
	
	function GetBlogName()
	{
		return $this->blogName_;
	}
	
	function Logout()
	{
		$_SESSION['auth_'.BLOG_ID]=false;
		$this->auth_=false;
	}

}		




if(!isset($GLOBALS['_wizardModeFlag']))
	$GLOBALS['_blogUser']=new BlogUser;


?>
